Unable to Install LabVIEW NXG 2.1 in NI Package Manager

Updated Dec 31, 2018

Reported In

Software

  • LabVIEW NXG

Issue Details

When trying to install LabVIEW NXG 2.1 The following error shows up:

I have uninstalled all NI software and reinstalled NI Package Manager but I am still unable to install LabVIEW NXG 2.1.

Solution

NI Package Manager is missing the necessary feeds to locate and install LabVIEW NXG Web Module. To install these feeds follow the next steps.

  1. On the top right corner of NI Package Manager, click on the gear icon.
  2. In the content section, enable the "Show available packages and feed management tools" option.
  3. The Packages tab in NI Package Manager and the Feeds tab in the Settings Menu will now appear as shown in the next picture.
  4. On the Feeds tab in the Settings Menu, click the Add button to add the four missing feeds required to install the LabVIEW NXG 2.1, as shown in next picture.
  5. Feed 1:
    1. Name: ni-labview-nxg-2-0-0_released
    2. URI: http://download.ni.com/support/nipkg/products/ni-labview-nxg-2.0.0/2.1/released
  6. Feed 2:

    1. Name: ni-labview-nxg-2-0-0_released-critical
    2. URI: http://download.ni.com/support/nipkg/products/ni-labview-nxg-2.0.0/2.1/released-critical
  7. Feed 3:

    1. Name: ni-labview-nxg-2-0-0-rte_released
    2. URI: http://download.ni.com/support/nipkg/products/ni-labview-nxg-2.0.0-rte/2.1/released
  8. Feed 4:

    1. Name: ni-labview-nxg-2-0-0-rte_released-critical
    2. URI: http://download.ni.com/support/nipkg/products/ni-labview-nxg-2.0.0-rte/2.1/released-critical

WAS THIS ARTICLE HELPFUL?

Not Helpful